Ubuntu 14.04 report as 13.10

Bug #1299912 reported by Aaron Honeycutt on 2014-03-30
134
This bug affects 25 people
Affects Status Importance Assigned to Milestone
Ubuntu GNOME
Medium
Unassigned
gnome-control-center (Ubuntu)
Undecided
Unassigned
Trusty
Undecided
Unassigned
Utopic
Undecided
Unassigned

Bug Description

[Impact]
  gnome-control-center details panel shows the incorrect version. This merges the changes that were applied to unity-control-center to generate the version at build-time. Also replaces Ubuntu logo with a GNOME logo.

[Test Case]
View details pane in gnome-control-center and note incorrect version

[Regression Potential]
None, apart from the build time processing, all this does is switch out the logo file

== Original Report ==
aaron@mac-the-knife:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu Trusty Tahr (development branch)
Release: 14.04
Codename: trusty

aaron@mac-the-knife:~$ apt-cache policy gnome-control-center
gnome-control-center:
  Installed: 1:3.6.3-0ubuntu54
  Candidate: 1:3.6.3-0ubuntu54
  Version table:
 *** 1:3.6.3-0ubuntu54 0
        500 http://us.archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages
        100 /var/lib/dpkg/status

In the Details section of the System Settings it shows 14.04 as 13.10. It also should be the Ubuntu GNOME icon and not Ubuntu's icon.

ProblemType: BugDistroRelease: Ubuntu 14.04
Package: gnome-control-center 1:3.6.3-0ubuntu54
ProcVersionSignature: Ubuntu 3.13.0-20.42-generic 3.13.7
Uname: Linux 3.13.0-20-generic x86_64
NonfreeKernelModules: wl
ApportVersion: 2.13.3-0ubuntu1
Architecture: amd64
CurrentDesktop: GNOME
Date: Sun Mar 30 16:55:41 2014
InstallationDate: Installed on 2014-03-28 (2 days ago)
InstallationMedia: Ubuntu-GNOME 13.10 "Saucy Salamander" - Release amd64 (20131017)
ProcEnviron:
 TERM=xterm
 PATH=(custom, no user)
 XDG_RUNTIME_DIR=<set>
 LANG=en_US.UTF-8
 SHELL=/bin/bashSourcePackage: gnome-control-center
UpgradeStatus: Upgraded to trusty on 2014-03-29 (1 days ago)
usr_lib_gnome-control-center: deja-dup 30.0-0ubuntu2

Related branches

Tim Lunn (darkxst) on 2014-03-30
Changed in ubuntu-gnome:
milestone: none → trusty
Mantas Kriaučiūnas (mantas) wrote :

Isn't this bug a duplicate of bug #1281155 ?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in gnome-control-center (Ubuntu):
status: New → Confirmed
amjjawad  (amjjawad) on 2014-04-16
Changed in ubuntu-gnome:
status: New → Confirmed
amjjawad  (amjjawad) wrote :

I confirmed this one and this is a screenshot:

https://t.co/wShHqP43AZ

As per Tim, this will be fixed after releasing 14.04 :)

Changed in ubuntu-gnome:
importance: Undecided → Medium
amjjawad  (amjjawad) wrote :

As a workaround and in order to verify which version of Ubuntu/Ubuntu GNOME you're running:

http://askubuntu.com/questions/12493/how-can-i-find-the-version-of-ubuntu-that-is-installed

Thank you!

amjjawad  (amjjawad) wrote :

I have mentioned this on the release notes of Ubuntu GNOME 14.04 LTS and here is a website post as well:

http://ubuntugnome.org/reading-the-release-notes-is-a-must-do-step/

https://wiki.ubuntu.com/TrustyTahr/ReleaseNotes/UbuntuGNOME

Erick Brunzell (lbsolost) wrote :

Ubuntu itself is OK ATM - see screenshot.

Paul White (paulw2u) on 2014-05-03
tags: added: utopic
Paul White (paulw2u) wrote :

Now also affects 14.10 daily builds of ubuntu GNOME.

Ubuntu QA Website (ubuntuqa) wrote :

This bug has been reported on the Ubuntu ISO testing tracker.

A list of all reports related to this bug can be found here:
http://iso.qa.ubuntu.com/qatracker/reports/bugs/1299912

tags: added: iso-testing
Tim Lunn (darkxst) on 2014-05-04
description: updated
Martin Pitt (pitti) on 2014-05-07
Changed in gnome-control-center (Ubuntu Utopic):
status: Confirmed → Fix Committed
Martin Pitt (pitti) on 2014-05-07
Changed in gnome-control-center (Ubuntu Trusty):
status: New → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.6.3-0ubuntu57

---------------
gnome-control-center (1:3.6.3-0ubuntu57) utopic; urgency=medium

  * debian/patches/ubuntu-gnome-version.patch: Merge build-time versioned
    logo from unity-control-center (LP: #1299912)
  * debian/rules: generate logo
  * debian/control.in: build-depend on ubuntu font and valac, also add
    build-dep on libkrb5-dev to fix FTBS on utopic
 -- Tim Lunn <email address hidden> Wed, 07 May 2014 15:29:09 +0200

Changed in gnome-control-center (Ubuntu Utopic):
status: Fix Committed → Fix Released
Tim Lunn (darkxst) on 2014-05-08
Changed in ubuntu-gnome:
status: Confirmed → Fix Committed
milestone: trusty → trusty.1

Hello Aaron, or anyone else affected,

Accepted gnome-control-center into trusty-proposed. The package will build now and be available at http://launchpad.net/ubuntu/+source/gnome-control-center/1:3.6.3-0ubuntu56.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in gnome-control-center (Ubuntu Trusty):
status: In Progress → Fix Committed
tags: added: verification-needed
Tim Lunn (darkxst) wrote :

marking verification-done logo and version are now correct!

tags: added: verification-done
removed: verification-needed
amjjawad  (amjjawad) wrote :

Hi, just for the record:

sudo apt-get update && sudo apt-get upgrade && sudo apt-get dist-upgrade

will not update the logo and Ubuntu GNOME 14.04 LTS will still report "Ubuntu 13.10" instead of anything else.

The attached screenshot is for the 49th machine I converted to GNU/Linux (https://t.co/ZvquPNLdjY) and I just checked my machine and it has the same thing still. I have not changed anything; same settings as both fresh new installations and NO PPA is added.

Thank you!

Hiren Gandhi (hirenngandhi) wrote :

I also noticed the fix after enabling the proposed. The gnome logo and the proper 14.04 LTS shows, fixes this bug for me finally.

Jos Herni (jos-digiplace) wrote :

I also added trusty-proposed and now its called:

ubuntu 14.04 LTS and I think it shoud be Ubuntu GNOME 14.04 LTS. I made a screenshot btw in this article (Dutch) http://www.digiplace.nl/gnome-control-center/

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gnome-control-center - 1:3.6.3-0ubuntu56.1

---------------
gnome-control-center (1:3.6.3-0ubuntu56.1) trusty; urgency=medium

  * debian/patches/ubuntu-gnome-version.patch: Merge build-time versioned
    logo from unity-control-center (LP: #1299912)
  * debian/rules: generate logo
  * debian/control.in: build-depend on ubuntu font and valac
 -- Tim Lunn <email address hidden> Mon, 05 May 2014 08:37:17 +1000

Changed in gnome-control-center (Ubuntu Trusty):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for gnome-control-center has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regresssions.

Tim Lunn (darkxst) on 2014-06-24
Changed in ubuntu-gnome:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers